picocli

## Class CommandLine.ExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.ExecutionException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.ExecutionException
    extends CommandLine.PicocliException

Exception indicating a problem while invoking a command or subcommand.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLine.ExecutionException(CommandLine commandLine, java.lang.String msg)`
`CommandLine.ExecutionException(CommandLine commandLine, java.lang.String msg, java.lang.Exception ex)`

### Method Summary

Methods
`CommandLine` `getCommandLine()` Returns the `CommandLine` object for the (sub)command that could not be invoked.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLine.ExecutionException

    public CommandLine.ExecutionException(CommandLine commandLine,
                                  java.lang.String msg)

#### CommandLine.ExecutionException

    public CommandLine.ExecutionException(CommandLine commandLine,
                                  java.lang.String msg,
                                  java.lang.Exception ex)

### Method Detail

#### getCommandLine

    public CommandLine getCommandLine()

Returns the `CommandLine` object for the (sub)command that could not be invoked.

Returns:
  the `CommandLine` object for the (sub)command where invocation failed.